Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## shout3d.core
Class Billboard

    java.lang.Object
      |
      +--shout3d.core.Node
            |
            +--shout3d.core.Group
                  |
                  +--shout3d.core.Billboard

public class Billboard
extends Group

A Billboard node.

Fields inherited from class shout3d.core.Group
`children, defaultChildArray, hidden`

Constructor Summary
`Billboard()` Constructs a default Billboard

Method Summary
`float[]` | `getInverseMatrix()` Get the matrix equal to the inverse of this Transform.
`float[]` | `getMatrix()` Gets the 4x4 matrix that transforms from local to parent space, based on current field values Note: This matrix may give incorrect results if there are multiple instances of the billboard within the scene.

Methods inherited from class shout3d.core.Group
`addChildren, getCameraBBoxMax, getCameraBBoxMin, getLocalBBoxMax, getLocalBBoxMin, getWorldBBoxMax, getWorldBBoxMin, removeChildren`

Methods inherited from class shout3d.core.Node
`getDEFName, getField, getFieldByIndex, getFieldName, getNumFields, getTypeName, isOfType, setDEFName, setViewer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Billboard

    public Billboard()

  Constructs a default Billboard

Method Detail

### getMatrix

    public float[] getMatrix()

  Gets the 4x4 matrix that transforms from local to parent space, based on current field values Note: This matrix may give incorrect results if there are multiple instances of the billboard within the scene. The matrix of a billboard is dependant on its orientation with respect to that of the viewpoint for which it is rendered. Hence, if a billboard is instanced, each billboard may have a different matrix, so that each billboard is brought into alignment with the viewpoint's image plane. The matrix returned by this method will be that of the last instance rendered in the scene.
  Returns:
    the matrix
  Overrides:
    getMatrix in class Group

### getInverseMatrix

    public float[] getInverseMatrix()

  Get the matrix equal to the inverse of this Transform. Transforms vectors from this node's parent space into its local space. Note: This matrix may give incorrect results if there are multiple instances of the billboard within the scene. The matrix of a billboard is dependant on its orientation with respect to that of the viewpoint for which it is rendered. Hence, if a billboard is instanced, each billboard may have a different matrix, so that each billboard is brought into alignment with the viewpoint's image plane. The matrix returned by this method will be that of the last instance rendered in the scene.
  Returns:
    the inverse matrix for this transform.
  Overrides:
    getInverseMatrix in class Group

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD